Products · Access to future files after purchase
This operation has been retired and returns 409 without changing data. Set access separately for each digital file using the audience operation.
PATCH
/api/v1/products/{product_id}/file-update-policycURL request
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'
Response
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}
Required permissions
- Authentication
- Access token
- Available from
- STANDARD
- Key permission
- Manage product files · Digital products
catalog.product_file:write_digital